Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06279 Interface Minor Always Jul 5, 2016, 07:47 Jul 10, 2016, 00:13
Tester ozfalcon View Status Public Platform MAME (Self-compiled)
Assigned To crazyc Resolution Fixed OS Linux (32-bit)
Status [?] Resolved Driver
Version 0.175 Fixed in Version 0.176 Build Normal
Summary 06279: PLUGINS: pluginspath does not resolve $HOME
Description It is typical that Mame paths (Roms etc) resolve $HOME

However the "pluginspath" in mame.ini does not resolve $HOME

Interestingly, The command line argument DOES resolve $HOME
Steps To Reproduce Set pluginspath in mame.ini

pluginspath $HOME/.mame/plugins

Additional Information If you set the path from the command line, Everything works as expected.

mame -pluginspath $HOME/.mame/plugins
Flags
Regression Version
Affected Sets / Systems PLUGINS
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.12903
einstein95
Tester
Jul 6, 2016, 12:01
edited on: Jul 6, 2016, 12:11
Running Xubuntu 16.04 and it happens for me. MAME prints this to the terminal:

Unable to parse plugin definition file $HOME/.mame/plugins/hiscore/plugin.json. Errors returned:
The document is empty.
Unable to parse plugin definition file $HOME/.mame/plugins/dummy/plugin.json. Errors returned:
The document is empty.
Unable to parse plugin definition file $HOME/.mame/plugins/cheatfind/plugin.json. Errors returned:
The document is empty.
Unable to parse plugin definition file $HOME/.mame/plugins/layout/plugin.json. Errors returned:
The document is empty.
Unable to parse plugin definition file $HOME/.mame/plugins/cheat/plugin.json. Errors returned:
The document is empty.
Unable to parse plugin definition file $HOME/.mame/plugins/timer/plugin.json. Errors returned:
The document is empty.
Unable to parse plugin definition file $HOME/.mame/plugins/json/plugin.json. Errors returned:
The document is empty.
cannot open $HOME/.mame/plugins/boot.lua: No such file or directory

User avatar
No.12919
crazyc
Developer
Jul 9, 2016, 20:12
Should be fixed. Reopen if there are still issues.